## org.eclipse.jst.ws.jaxws.dom.runtime.api
Class WsDOMRuntimeManager

    java.lang.Object
      org.eclipse.jst.ws.jaxws.dom.runtime.api.WsDOMRuntimeManager

All Implemented Interfaces:
  IWSDOMRuntimeManager

    public class WsDOMRuntimeManager

extends java.lang.Object
implements IWSDOMRuntimeManager

Factory class for instantiating DOM Runtimes and managing those instances.

Author:
  Georgi Hristov

Constructor Summary
`protected` `WsDOMRuntimeManager()`

Method Summary
`protected IWsDOMRuntimeExtension` `createDOMRuntime(IWsDOMRuntimeInfo runtimeInfo, org.eclipse.core.runtime.IProgressMonitor monitor)`
`void` `createDOMRuntimes(org.eclipse.core.runtime.IProgressMonitor monitor)` Instantiates the DOM Runtimes if not already.
`IWsDOMRuntimeExtension` `getDOMRuntime(IWsDOMRuntimeInfo runtimeInfo)` This method should return the DOM runtime instance corresponding to the descriptor object of type IRuntimeInfo and instantiate such DOM runtime instance if non existent at the moment of invocation of this method.
`IWsDOMRuntimeExtension` `getDOMRuntime(java.lang.String runtimeId)` This method should return the DOM runtime instance corresponding to the runtime id and instantiate such DOM runtime instance if non existent at the moment of invocation of this method.
`java.util.Collection<IWsDOMRuntimeExtension>` `getDOMRuntimes()`
`static IWSDOMRuntimeManager` `instance()`
`void` `reloadDOMRuntimes(org.eclipse.core.runtime.IProgressMonitor monitor)` This method should reload all instances of DOM Runtimes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsDOMRuntimeManager

    protected WsDOMRuntimeManager()

Method Detail

### instance

    public static IWSDOMRuntimeManager instance()

### createDOMRuntimes

    public void createDOMRuntimes(org.eclipse.core.runtime.IProgressMonitor monitor)

  Instantiates the DOM Runtimes if not already.

  Specified by:
    `createDOMRuntimes` in interface `IWSDOMRuntimeManager`

### createDOMRuntime

    protected IWsDOMRuntimeExtension createDOMRuntime(IWsDOMRuntimeInfo runtimeInfo,
                                                      org.eclipse.core.runtime.IProgressMonitor monitor)

### getDOMRuntime

    public IWsDOMRuntimeExtension getDOMRuntime(IWsDOMRuntimeInfo runtimeInfo)

  This method should return the DOM runtime instance corresponding to the descriptor object of type IRuntimeInfo and instantiate such DOM runtime instance if non existent at the moment of invocation of this method.

  Parameters:
    `runtimeInfo` - - descriptor of the DOM runtime to be instantiated and returned
  Returns:
    the DOM runtime instance

### getDOMRuntime

    public IWsDOMRuntimeExtension getDOMRuntime(java.lang.String runtimeId)

  This method should return the DOM runtime instance corresponding to the runtime id and instantiate such DOM runtime instance if non existent at the moment of invocation of this method.

  Specified by:
    `getDOMRuntime` in interface `IWSDOMRuntimeManager`
  Parameters:
    `runtimeId` - - string identifier of the runtime
  Returns:
    the DOM runtime instance

### getDOMRuntimes

    public java.util.Collection<IWsDOMRuntimeExtension> getDOMRuntimes()

  Specified by:
    `getDOMRuntimes` in interface `IWSDOMRuntimeManager`
  Returns:
    a list of all instantiated DOM Runtimes

### reloadDOMRuntimes

    public void reloadDOMRuntimes(org.eclipse.core.runtime.IProgressMonitor monitor)

  This method should reload all instances of DOM Runtimes.

  Specified by:
    `reloadDOMRuntimes` in interface `IWSDOMRuntimeManager`